html, body {
	margin: 0;
	padding: 0;
	height: 100%;
	font-family: 'Helvetica Neue', sans-serif;
}

#notification-bar {
	position: absolute;
	top: -50px;
	left: 0;
	min-height: 50px;
	width: 100%;
	line-height: 50px;
	font-size: 30px;
	text-align: center;
	background-color: #021411;
	color: white;
	z-index: 1000;
}

#control-bar {
	background-color: #319F8D;
	min-height: 50px;
	padding: 0 12px;
}

.control-bar-item {
	display: inline-block;
	height: 50px;
	color: white;
	line-height: 50px;
	transition: background-color .5s;
	margin-left: 10px;
	padding: 0 5px;
	cursor: pointer;
}

.control-bar-left > .control-bar-item:first-child {
	margin-left: 0;
}

.control-bar-item:hover {
	background-color: #54CAB7;
}

#leave-game-button {
	display: none;
}

.control-bar-right {
	float: right;
}

.control-bar-right:hover {
	background-color: inherit;
	cursor: auto;
}

.control-bar-right > div {
	display: inline;
	vertical-align: middle;
}

.control-bar-title {
	font-size: 20px;
}

.modal-overlay {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: #16463E;
	display: none;
	opacity: 0;
	z-index: 100;
}

.dialog {
	max-width: 40%;
	min-height: 300px;
	text-align: center;
	margin: 0 auto;
	margin-top: 10%;
	padding: 15px 10px;
	color: white;
}

.loading-dialog {
	margin-top: 15%;
	color: white;
}

.dialog a, .dialog a:visited {
	color: white;
}

.inepta-button {
	display: inline-block;
	padding: 4px 5px;
	background-color: #288072;
	color: white;
	transition: background-color .5s;
	user-select: none;
	cursor: pointer;
}

.inepta-button:hover {
	background-color: #29BDAE;
}

.inepta-button:active {
	background-color: #22A194;
}

#preparing-overlay {
	display: block;
	opacity: 1;
	text-align: center;
}

#content {
	padding: 0 12px;
}

.dialog-input {
	width: 60%;
	text-align: center;
	padding: 5px 4px;
	font-size: 17px;
	background-color: transparent;
	border: none;
	outline: none;
	border-bottom: 3px solid white;
	color: white;
}

#cardcast-code {
	width: 100px;
}

.unselectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#templates {
	display: none;
}

#game-list, .game-list-entry-settings {
	text-align: center;
}

.game-list-entry {
	text-align: left;
	width: 500px;
	min-height: 200px;
}

#game-settings-decks-wrapper {
	position: relative;
}

#game-settings-decks-overlay {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 100;
	display: none;
}

#game-settings-tiles {
	margin-top: -10px;
}

#game-settings-available-decks {
	display: inline-block;
}

.deck {
	background-color: rgba(111, 227, 121, 0.2);
	width: 100px;
	height: 100px;
	display: inline-block;
	vertical-align: bottom;
	cursor: pointer;
	position: relative;
	margin-left: 10px;
	margin-top: 10px;
	padding: 6px;
}

.deck > div {
	font-size: 14px;
}

.deck-rating {
	position: absolute;
	bottom: 6px;
	left: 6px;
}

.deck-card-count-wrapper {
	position: absolute;
	right: 6px;
	bottom: 6px;
}

.deck-card-count-icon {
	display: inline-block;
	width: 12px;
	height: 12px;
	background-size: 100% 100%;
	vertical-align: top;
	margin-top: 3px;
	background-image: url(/res/cards-icon.png);
}

.deck-rating::after {
	content: "★";
}

.deck.selected, .deck.deck-cardcast {
	background-color: rgba(111, 227, 121, 0.4);
	background-size: 75px 75px;
	background-position: center;
	background-repeat: no-repeat;
}

.deck.selected {
	background-image: url(/res/check.svg);
}

#add-from-cardcast-button {
	background-color: rgba(226, 148, 112, 0.4);
	background-image: url(/res/plus.svg);
	background-size: 75px 75px;
	background-position: center;
	background-repeat: no-repeat;
}

.show-key {
	display: inline-block;
	vertical-align: bottom;
	width: 20px;
	height: 20px;
	background-image: url(/res/key.svg);
	background-size: 100% 100%;
	cursor: pointer;
}

.show-key.visible {
	transform: scaleX(-1);
}

@media (max-width: 920px) {
	.dialog {
		max-width: 90%;
	}
}

@media (max-width: 400px) {
	#nickname-overlay > div > input {
		width: 95%;
	}
}